AsymmetricOrdering.Op (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Enum AsymmetricOrdering.Op

- java.lang.Object
- - java.lang.Enum<AsymmetricOrdering.Op>
  - - org.apache.cassandra.utils.AsymmetricOrdering.Op

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AsymmetricOrdering.Op>
  Enclosing class:
    AsymmetricOrdering<T1,T2>

      public static enum AsymmetricOrdering.Op
      extends java.lang.Enum<AsymmetricOrdering.Op>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CEIL`
    `FLOOR`
    `HIGHER`
    `LOWER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsymmetricOrdering.Op` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AsymmetricOrdering.Op[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOWER

          public static final AsymmetricOrdering.Op LOWER

    - #### FLOOR

          public static final AsymmetricOrdering.Op FLOOR

    - #### CEIL

          public static final AsymmetricOrdering.Op CEIL

    - #### HIGHER

          public static final AsymmetricOrdering.Op HIGHER

  - ### Method Detail

    - #### values

          public static AsymmetricOrdering.Op[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AsymmetricOrdering.Op c : AsymmetricOrdering.Op.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AsymmetricOrdering.Op valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation